{
  "$schema": "../node_modules/@tauri-apps/cli/schema.json",
  "build": {
    "beforeBuildCommand": "yarn build:for:electron",
    "beforeDevCommand": "yarn dev",
    "devPath": "http://localhost:3301",
    "distDir": "../dist",
    "withGlobalTauri": true
  },
  "package": {
    "productName": "zmusic",
    "version": "0.1.6"
  },
  "tauri": {
    "allowlist": {
      "protocol":{
        "all": true,
        "asset": false,
        "assetScope": [
          "zmusic"
        ]
      }
    },
    "bundle": {
      "active": true,
      "category": "DeveloperTool",
      "copyright": "",
      "deb": {
        "depends": []
      },
      "externalBin": [],
      "icon": [
        "icons/icon_32x32.png",
        "icons/icon_32x32@2x.png",
        "icons/icon_128x128.png",
        "icons/icon_128x128@2x.png",
        "icons/zmusic.icns",
        "icons/zmusic.ico"
      ],
      "identifier": "com.zlmix.zmusic",
      "longDescription": "zmusic",
      "macOS": {
        "entitlements": null,
        "exceptionDomain": "",
        "frameworks": [],
        "providerShortName": "zmusic",
        "signingIdentity": null
      },
      "resources": [],
      "shortDescription": "",
      "targets": "all",
      "windows": {
        "certificateThumbprint": null,
        "digestAlgorithm": "sha256",
        "timestampUrl": ""
      }
    },
    "security": {
      
    },
    "updater": {
      "active": true,
      "endpoints": [
          "https://zlmix.com/zupdater/zmusic/update.json"
      ],
      "dialog": true,
      "pubkey": "dW50cnVzdGVkIGNvbW1lbnQ6IG1pbmlzaWduIHB1YmxpYyBrZXk6IDg4MjUyRTQ3M0Y3OTMwNkIKUldSck1Iay9SeTRsaVB6Q3ZNaUJSbUp4dURhWjJRdm8wU2pOcS92bXdJa1VhbzJQeU9VY3haTFQK"
    },
    "windows": [
      {
        "fullscreen": false,
        "resizable": true,
        "title": "zmusic",
        "width": 800,
        "height": 620,
        "minWidth": 800,
        "minHeight": 620,
        "visible": false,
        "label": "main"
        
      }
    ]
  }
}
